#!/bin/sh
#
# Builds the PresStore distribution tarball suitable for updating
# remote clients.
#
# See the file "license.txt" for information on usage and
# redistribution of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
# Rcsid: @(#)$Id: awdist.sh,v 1.19 2014/10/16 07:55:03 zv Exp $
# ----------------------------------------------------------------------
#

#
# Override locale settings 
#

LC_ALL="C"; export LC_ALL

#
# Bark if not root
#

case `uname -s` in
  SunOS)
    id=/usr/xpg4/bin/id
    ;;
  *)
    id=/usr/bin/id
    ;;
esac
if test `$id -u` -ne 0; then
    echo "This operaton can only be done as user root!" >&2
    exit 1
fi


#
# Get location of the installation directory
#

cwd=`pwd`
etc=`dirname "$0"`
dir=`dirname "$etc"`

#
# Create the zipball relative to install root
#

cd "$dir"
if test ! -d temp; then
    mkdir temp
fi
updf=temp/awpstupd.zip
if test -f $updf; then
    unzip -t -qq $updf 1>/dev/null 2>&1
    if test $? -ne 0; then
        rm -f $updf
    fi
fi
if test ! -f $updf; then
    zip -r -y -qq $updf \
        README ChangeLog license.txt install.sh uninstall.sh   \
        .preinstall .prestart                                  \
        ping-server start-server stop-server etc lib modules   \
        binaries/SunOS                                         \
	binaries/Linux/unknown                                 \
        binaries/Darwin                                        \
        binaries/Windows/NT                                    \
	binaries/FreeBSD                                       \
        servers/lexxsrv/modules/tcl servers/lexxsrv/pages/docs
fi
cd "$cwd"

#
# Return the absolute location of the zipball
#

echo "$dir/$updf"

exit 0
