#!/bin/sh
cwd=`pwd`
dir=`dirname "$0"`
cd `dirname "$dir"`
awd=`pwd`
sql="$awd/bin/sqlite3"
if test ! -x $sql; then
    echo "$sql: missing or not executable"
    cd "$cwd"
    exit 1
fi
if test ! -f "$1/files.db" -a ! -f "$1/addrs.db" -a ! -f "$1/paths.db"; then
    echo "$1: not an index directory"
    cd "$cwd"
    exit 1
fi
for dbf in `ls -1 $1/*.db`; do
    db=`basename "$dbf"`
    cd `dirname "$dbf"`
    ps=`$sql "$db" 'pragma page_size'`
    if test $? -ne 0; then
        continue
    fi
    jm=`$sql "$db" 'pragma journal_mode'`
    rm -f "$db.new"
    (echo "PRAGMA page_size=$ps;"; echo "PRAGMA synchronous=off;" ; echo "PRAGMA journal_mode=off;" ; $sql "$db" .dump) | $sql "$db.new" > /dev/null
    if test $? -ne 0; then
        rm -f "$db.new"
        cd "$cwd"
        exit 1
    fi
    mv -f "$db.new" "$db"
    $sql "$db" "pragma journal_mode=$jm" > /dev/null
    cd "$cwd"
done
cd "$cwd"
exit 0

