##############################################################################
#
# init.tcl --
#
#    Loader for the CLI extension module. 
#
#    See the file "license.txt" for information on usage and
#    redistribution of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
#    Rcsid: @(#)$Id: init.tcl,v 1.1 2008/03/17 12:43:29 zv Exp $
#
##############################################################################

if {[info commands Class] == "Class"} {

    if {[const _version_] < "3.1.0"} {
        return
    }

    set root [file dirname [info script]]
    set nmsp [file tail $root]
    
    foreach entry [lsort [glob -nocomplain -directory $root *.tea *.xotcl]] {
        if {[catch {
            namespace eval ::$nmsp "utility::modsource [list $entry]"
        } err]} {
            ns_log error "$entry: $err"
        }
    }

    unset -nocomplain root nmsp entry err

} else {
    ns_log error "[file tail [info script]] needs XOTcl extension loaded."
}

############################### End of file ##################################
