##############################################################################
#
# init.tcl --
#
#    Loader for util module. 
#
#    See the file "license.txt" for information on usage and
#    redistribution of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
#    Rcsid: @(#)$Id: init.tcl,v 1.4 2006/02/10 02:24:32 itannir Exp $
#
##############################################################################

if {[info commands Class] == "Class"} {

    set file [info script]
    set root [file dirname $file]
    set name [file tail $root]

    foreach file [lsort [glob -nocomplain -directory $root *.xotcl]] {
        if {[catch {namespace eval ::$name "source [list $file]"} err]} {
            ns_log error "$file: $err"
        }
    }

    unset root name file

} else {
    ns_log error "[file tail [info script]] needs XOTcl extension loaded."
}

############################### End of file ##################################
